# hackmud-chat

Documentation: https://hackmud-unofficial.github.io/hackmud-chat

As this package is made with typescript, you don't need to install any typings.

You can also use it with javascript.

`npm install hackmud-chat --save`

## Example (in typescript)

    import { ChannelMessage, HackmudApi, Message } from "hackmud-chat";

    (async () => {

      const client = new HackmudApi(/* if you have a token (>5 chars) put it here */);
      await client.getToken("pass"); // otherwise get the token using the pass
      const account = await client.getAccountData();
      account.poll(async (messages: Message[]) => {
        if (messages && messages.length > 0) {
          for (const msg in messages) {
            if (messages[msg]) {
              const message = messages[msg];
              if (message instanceof ChannelMessage) {
                // tslint:disable-next-line:no-console
                console.log(message.toString());
                // message.channel.send("Hey!");
              }
            }
          }
        }
      });

    })();

## Index

### Enumerations

- ENDPOINTS

### Classes

- Account
- Channel
- ChannelMessage
- HackmudApi
- Message
- PrivateMessage
- User

### Variables

- API_URL
- debug

### Functions

- random

## Variables

### Const API_URL

API_URL: "https://www.hackmud.com/mobile/" = "https://www.hackmud.com/mobile/"

- Defined in lib/constants.ts:1

### Const debug

debug: IDebugger = Debug("hackmud-chat:channel")

- Defined in lib/account.ts:8
- Defined in lib/hackmud.api.ts:8
- Defined in lib/channel.ts:6

## Functions

### random

- random(low: number, high: number): number

- - Defined in lib/channel.ts:8

  #### Parameters

  - ##### low: number

  - ##### high: number

  #### Returns number

Generated using TypeDoc